<?xml version="1.0" encoding="UTF-8"?>
<plugin
   id="org.eclipse.hyades.sd.logc"
   name="Hyades Logging Sequence Diagrams"
   version="1.2.0"
   provider-name="Eclipse.org"
   class="org.eclipse.hyades.sd.logc.SDLogcPlugin">

   <runtime>
      <library name="sd_logc.jar">
         <export name="*"/>      
	  	<packages prefixes="org.eclipse.hyades.sd.logc"/>   
	  </library>	                 
   </runtime>
   
   <requires>
      <import plugin="org.eclipse.hyades.models.hierarchy"/>
      <import plugin="org.eclipse.hyades.models.cbe"/>
      <import plugin="org.eclipse.hyades.logc"/>
      <import plugin="org.eclipse.hyades.trace.ui"/>
      <import plugin="org.eclipse.hyades.sd.ui"/>
      <import plugin="org.eclipse.draw2d"/>
      <import plugin="org.eclipse.core.resources"/>
      <import plugin="org.eclipse.ui"/>
   </requires>


   <extension point="org.eclipse.hyades.ui.analyzerExtensions">
      <analyzerExtension
            name="%STR_MENU_LOR"
            class="org.eclipse.hyades.sd.logc.internal.actions.OpenLogViewAction"
            type="Logging"
            extension="trace"
            icon="./icons/full/obj16/sequencediagram_obj.gif"
            id="org.eclipse.hyades.sd.logc.internal.actions.ROpenLogViewAction">
      </analyzerExtension>
      <analyzerExtension
            name="%STR_MENU_LOT"
            class="org.eclipse.hyades.sd.logc.internal.actions.OpenLogViewAction"
            type="Logging" 
            extension="trace"           
            icon="./icons/full/obj16/sequencediagram_obj.gif"
            id="org.eclipse.hyades.sd.logc.internal.actions.TOpenLogViewAction">
      </analyzerExtension>
   </extension>
   
   
   <extension          
		point="org.eclipse.hyades.sd.ui.SDGraphLoader">
		<graphLoader
			types = "21">
			<ModelLoader
				class= "org.eclipse.hyades.sd.logc.internal.loader.LogLoader">
			</ModelLoader>
		</graphLoader>
		<graphLoader
			types = "22">
			<ModelLoader
				class= "org.eclipse.hyades.sd.logc.internal.loader.LogThreadLoader">
			</ModelLoader>
		</graphLoader>
	</extension>

</plugin>
